<div class="card">
    <div class="card-header">
        <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
            Huespedes Adicionales <strong>{{ noFolio }}</strong>
        </div>
        <div class="btn-actions-pane-right">
            <ng-container *ngIf="!showForm">
                <button class="btn btn-primary py-2 px-4" (click)="nuevoAdicional()"
                    *ngIf="!showForm || !consulta || grabarAdicional">
                    <i class="fa fa-plus mr-2"></i>Nuevo
                </button>
            </ng-container>
            <ng-container *ngIf="showForm">
                <button type="text" class="btn btn-success py-2 px-4" [disabled]="myFormGroup.invalid"
                    (click)="guardar(myFormGroup.value)" *ngIf="!consulta || grabarAdicional">
                    <i class="fa fa-save mr-2"></i>Guardar
                </button>
                <button class="btn btn-primary py-2 px-4 ml-1" (click)="regresar()">
                    <i class="fas fa-arrow-left mr-2"></i>Regresar
                </button>
            </ng-container>
        </div>
    </div>

    <div class="card-body">
        <form [formGroup]="myFormGroup">
            <div id="form-adicional" class="row animated fadeIn" *ngIf="showForm">
                <div class="form-group col-6 col-md-3 col-lg-2">
                    <label for="hcontrol">Control</label>
                    <input type="number" class="form-control" formControlName="hcontrol" appFocus>
                </div>
                <div class="form-group col-6 col-md-3 col-lg-2">
                    <label for="ncte"># Cliente</label>
                    <input type="text" class="form-control" formControlName="ncte">
                </div>
                <div class="form-group col-sm-6 col-md-6 col-lg-4 col-xl-3">
                    <label for="hapellido">Apellido(s)</label>
                    <input type="text" class="form-control" formControlName="hapellido">
                </div>
                <div class="form-group col-sm-6 col-md-6 col-lg-4 col-xl-3">
                    <label for="hnombre">Nombre(s)</label>
                    <input type="text" class="form-control" formControlName="hnombre">
                </div>
                <div class="form-group col-sm-4 col-md-6 col-lg-3 col-xl-2">
                    <label for="Titulo">Titulo</label>
                    <kendo-combobox [data]="dsTitulos" [textField]="'tdesc'" [valueField]="'Titulo'"
                        [valuePrimitive]="true" class="w-100" formControlName="Titulo">
                    </kendo-combobox>
                </div>
                <div class="form-group col-sm-8 col-md-6 col-lg-3 col-xl-4">
                    <label for="hemail">E-mail</label>
                    <input type="text" class="form-control" formControlName="hemail">
                </div>
                <div class="form-group col-6 col-sm-4 col-md-3 col-lg-3 col-xl-2">
                    <label for="cuarto">Cuarto</label>
                    <kendo-combobox [data]="dsCuartos" [textField]="'cuarto'" [valueField]="'cuarto'"
                        [valuePrimitive]="true" class="w-100" formControlName="cuarto">
                    </kendo-combobox>
                </div>
                <div class="form-group col-6 col-sm-4 col-md-3 col-lg-3 col-xl-2">
                    <label for="htipo">Tipo</label>
                    <kendo-combobox [data]="dataTipoHuesped" [textField]="'tdesc'" [valueField]="'tipo'"
                        [valuePrimitive]="true" class="w-100" formControlName="htipo">
                    </kendo-combobox>
                </div>
                <div class="form-group col-sm-4 col-md-3 col-lg-3 col-xl-2">
                    <label for="hedad">Edad</label>
                    <input type="number" class="form-control" formControlName="hedad">
                </div>
                <div class="form-group col-sm-8 col-md-9 col-lg-6">
                    <label for="hnotas">Notas</label>
                    <textarea class="form-control" cols="30" rows="1" formControlName="hnotas"></textarea>
                </div>
                <div class="form-group col-sm-6 col-md-4 col-lg-3 col-xl-3">
                    <label for="Pasaporte">Pasaporte</label>
                    <input type="text" class="form-control" formControlName="Pasaporte">
                </div>
                <div class="form-group col-sm-6 col-md-8 col-lg-5 col-xl-3">
                    <label for="Pais">Pais</label>
                    <kendo-combobox [data]="dsPaises" [textField]="'pnombre'" [valueField]="'Pais'"
                        [valuePrimitive]="true" class="w-100" formControlName="Pais">
                    </kendo-combobox>
                </div>
                <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-3">
                    <label for="tdoc">Tipo Documento</label>
                    <kendo-combobox [data]="dsTipoDocumento" [textField]="'nombre'" [valueField]="'tdoc'"
                        [valuePrimitive]="true" class="w-100" formControlName="tdoc">
                    </kendo-combobox>
                </div>
                <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-2">
                    <label for="fnac">Fec. Nacimiento</label>
                    <kendo-datepicker [format]="formatKendo" formControlName="fnac" class="w-100">
                    </kendo-datepicker>
                </div>
                <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-2">
                    <label for="lnac">Lugar Nacimiento</label>
                    <input type="text" class="form-control" formControlName="lnac">
                </div>
                <div class="form-group col-sm-7 col-md-8 col-lg-5 col-xl-3">
                    <label for="pnac">Pais de Nacimiento</label>
                    <kendo-combobox [data]="dsPaises" [textField]="'pnombre'" [valueField]="'Pais'"
                        [valuePrimitive]="true" class="w-100" formControlName="pnac">
                    </kendo-combobox>
                </div>
                <div class="form-group col-sm-5 col-md-4 col-lg-3 col-xl-2">
                    <label for="fepais">Fecha Entrada al Pais</label>
                    <kendo-datepicker [format]="formatKendo" formControlName="fepais" class="w-100">
                    </kendo-datepicker>
                </div>
            </div>
            <div class="row d-flex justify-content-center animated fadeIn" *ngIf="showForm">

                <div class="card-group">
                    <div class="card bg-light" style="width: 20rem;">
                        <img class="card-img-top" [src]="webcamImage" *ngIf="webcamImage">
                        <div class="text-center pt-3" *ngIf="!webcamImage">
                            <i class="fas fa-cloud-upload-alt fa-3x text-info"></i>
                        </div>
                        <div class="card-body">
                            <h5 class="card-title text-center">
                                <button class="btn btn-dark btn-pill btn-shadow py-2 px-4 ml-1"
                                    (click)="activeCam(modalCam)">
                                    <i class="fas fa-camera fa-lg mr-2"></i>WebCam
                                </button>
                                <button class="btn btn-danger btn-pill btn-shadow py-2 px-4 ml-1"
                                    (click)="eliminarFoto('foto')" *ngIf="webcamImage">
                                    <i class="fas fa-trash fa-lg mr-2"></i>Eliminar
                                </button>
                                <label
                                    class="custom-file-upload text-white text-center btn-primary btn-shadow py-2 px-4 mt-2">
                                    <input type="file" multiple (change)="handleUpload($event)" />
                                    <i class="fas fa-images mr-2"></i>Seleccionar Foto
                                </label>
                            </h5>

                        </div>
                    </div>
                    <div class="card bg-light" style="width: 20rem;">
                        <img class="card-img-top" [src]="signatureImage" *ngIf="signatureImage">
                        <div class="text-center pt-3" *ngIf="!signatureImage">
                            <i class="fas fa-cloud-upload-alt fa-3x text-info"></i>
                        </div>
                        <div class="card-body">
                            <h5 class="card-title text-center">
                                <button class="btn btn-dark btn-pill btn-shadow py-2 px-4 ml-1"
                                    (click)="activeSign(modalSign)">
                                    <i class="fas fa-signature fa-lg mr-2"></i>Firma
                                </button>
                                <button class="btn btn-danger btn-pill btn-shadow py-2 px-4 ml-1"
                                    (click)="eliminarFoto('firma')" *ngIf="signatureImage">
                                    <i class="fas fa-trash fa-lg mr-2"></i>Eliminar
                                </button>
                            </h5>
                        </div>
                    </div>
                </div>
            </div>
            <div class="grid-adicional animated fadeIn" *ngIf="!showForm">
                <kendo-grid [data]="gridData" [selectable]="true" [reorderable]="true" [resizable]="true"
                    style="height:50vh;">
                    <ng-container *ngIf="gridData.length !== 0">
                        <kendo-grid-column field="hcontrol" title="Control" width="100" class="text-right">
                        </kendo-grid-column>
                        <!-- <kendo-grid-column field="ncte" title="# Cliente" width="100" class="text-right">
                        </kendo-grid-column> -->
                        <kendo-grid-column field="cuarto" title="Cuarto" width="100"></kendo-grid-column>
                        <kendo-grid-column field="hapellido" title="Apellido(s)" width="140"></kendo-grid-column>
                        <kendo-grid-column field="hnombre" title="Nombre(s)" width="140"></kendo-grid-column>
                        <kendo-grid-column field="htipo" title="Tipo" width="80"></kendo-grid-column>
                        <kendo-grid-column field="hedad" title="Edad" width="80"></kendo-grid-column>
                        <kendo-grid-column field="iFoto" title="Foto" width="80">
                            <ng-template kendoGridCellTemplate let-dataItem>
                                <img [src]="dataItem.iFoto" height="42" (click)="abrirFoto(dataItem.iFoto)">
                            </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-column field="iFirma" title="Firma" width="80">
                            <ng-template kendoGridCellTemplate let-dataItem>
                                <img [src]="dataItem.iFirma" height="42" (click)="abrirFoto(dataItem.iFirma)">
                            </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-command-column title="Acciones" width="220">
                            <ng-template kendoGridCellTemplate let-dataItem>
                                <ng-container *ngIf="!consulta || grabarAdicional">
                                    <button class="btn btn-info" [disabled]="loading" (click)="selectRow(dataItem)">
                                        <i class="fas mr-2"
                                            [ngClass]="{'fa-spinner fa-spin': loading, 'fa-edit': !loading }">
                                        </i>Editar
                                    </button>
                                    <button class="btn btn-danger ml-1" [disabled]="loading" (click)="delete(dataItem)">
                                        <i class="fas mr-2"
                                            [ngClass]="{'fa-spinner fa-spin': loading, 'fa-trash': !loading }">
                                        </i>Eliminar
                                    </button>
                                </ng-container>
                                <button class="btn btn-info" (click)="selectRow(dataItem)" *ngIf="!grabarAdicional">
                                    <i class="fas fa-search mr-2"></i>Consultar
                                </button>
                            </ng-template>
                        </kendo-grid-command-column>
                    </ng-container>
                    <ng-template kendoGridNoRecordsTemplate>
                        No hay resultados para mostrar.
                    </ng-template>
                </kendo-grid>
            </div>
        </form>
    </div>
</div>

<ng-template #modalSign let-modal let-c="close">
    <div class="modal-header">
        <h6 class="modal-title">
            <i class="fas fa-signature mr-2"></i>Firma del Huesped
        </h6>
        <button class="close" aria-label="Close" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-signature-pad (result)="resultSignature($event); c();"></app-signature-pad>
    </div>
</ng-template>

<ng-template #modalCam let-modal let-c="close">
    <div class="modal-header">
        <h6 class="modal-title">
            <i class="fas fa-camera mr-2"></i>Tomar Foto
        </h6>
        <button class="close" aria-label="Close" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-webcam (result)="resultWebcam($event); c();"></app-webcam>
    </div>
</ng-template>